Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.b2b.mailbox
Class MessageInfo

    java.lang.Object
      |
      +--com.bea.b2b.mailbox.MessageInfo

public class MessageInfo
extends java.lang.Object
implements java.io.Serializable

This class represents the message information that is used by the Weblogic Collaborate Mailbox. Mailbox is meant for the internal use and only MessageInfo class is visible for Lightweight Client to use it with methods provided by com.bea.lwclient class.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `group`
`java.lang.String` | `messageId`
`byte[]` | `payload`
`java.lang.String` | `sender`
`int` | `status`
`static int` | `StatusNew`
`static int` | `StatusRead`
`java.util.Date` | `timestamp`

Constructor Summary
`MessageInfo()` Default constructor.
`MessageInfo(java.lang.String messageId, java.lang.String sender, java.lang.String group, int status)` Constructor to set values of class fields with given values.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### StatusNew

    public static final int StatusNew

### StatusRead

    public static final int StatusRead

### messageId

    public java.lang.String messageId

### sender

    public java.lang.String sender

### group

    public java.lang.String group

### timestamp

    public java.util.Date timestamp

### status

    public int status

### payload

    public byte[] payload

Constructor Detail

### MessageInfo

    public MessageInfo()

  Default constructor. It initializes messageId, sender, and group to empty strings. timestamp is set to the current date and status is initialized to StatusNew.

### MessageInfo

    public MessageInfo(java.lang.String messageId,
                       java.lang.String sender,
                       java.lang.String group,
                       int status)

  Constructor to set values of class fields with given values. Besides the specified fields, timestamp is set to the current date.

  Parameters:
    `messageId` - Message id.
    `sender` - Name of the sender.
    `group` - Name of the group. This field is optional to categorize the messages. For the Lightweight client, use null.
    `status` - The status of the message. It is either StatusNew or StatusRead.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)